#auth-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background-color: rgb(71 89 78); */
    z-index: 89; /* Устанавливаем высокий z-index, чтобы блок был поверх других элементов */
    display: flex;
    justify-content: center; /* Центрирование по горизонтали */
    align-items: center; /* Центрирование по вертикали */
    display: none;

    background-color: #3a7d42;
    background-image: repeating-linear-gradient(45deg, rgba(0, 0, 0, 0.05) 0px, rgba(0, 0, 0, 0.05) 1px, transparent 1px, transparent 12px), linear-gradient(135deg, #097f2f12, #2b824ccf, #1f6939d1);
}

#reg-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background-color: rgb(71 89 78); */
    z-index: 89; /* Устанавливаем высокий z-index, чтобы блок был поверх других элементов */
    display: flex;
    justify-content: center; /* Центрирование по горизонтали */
    align-items: center; /* Центрирование по вертикали */
    display: none;
    background-color: #3a7d42;
    background-image: repeating-linear-gradient(45deg, rgba(0, 0, 0, 0.05) 0px, rgba(0, 0, 0, 0.05) 1px, transparent 1px, transparent 12px), linear-gradient(135deg, #097f2f12, #2b824ccf, #1f6939d1);
}

#auth-block-overlay{
    width: 300px;
    min-height: 100px;
    background-color: white;
    border-radius: 10px;
    display: flex;
    /* align-items: center; */
    justify-content: center;
    flex-direction: column;
    padding-bottom: 10px;
    box-shadow: 0 7px 3px rgb(0 0 0 / 20%);
    padding-top: 10px;
}

#reg-block-overlay{
    width: 300px;
    min-height: 100px;
    background-color: white;
    border-radius: 10px;
    display: flex;
    /* align-items: center; */
    justify-content: center;
    flex-direction: column;
    padding-bottom: 10px;
    box-shadow: 0 7px 3px rgb(0 0 0 / 20%);
    padding-top: 10px;
}

#auth-block-overlay .content{
    display: flex;
    flex-direction: column;
    align-items: center;
}

#auth-block-overlay .content p{
    min-height: 20px;
}

#auth-block-overlay .buttons{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 10px;
}

#reg-block-overlay .content{
    display: flex;
    flex-direction: column;
    align-items: center;
}

#reg-block-overlay .content p{
    min-height: 20px;
}

#reg-block-overlay .buttons{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 10px;
}

#auth-block-overlay .content p.title{
    font-family: sans-serif;
    margin-top: 5px;
}
#reg-block-overlay .content p.title{
    font-family: sans-serif;
    margin-top: 5px;
}
.auth-reg-button{
    background: none;
    border: none;
    color: #29678d;
    font-weight: 600;
    font-family: sans-serif;
    font-size: 14px;
    cursor: pointer;
}
#auth-block-overlay input, #reg-block-overlay input{
    border: 1px solid gray;
    height: 25px;
    border-radius: 4px;
    padding: 8px;
}
.auth-error, .login-error, .password-error{
    width: 184px;
    color: #bf5757;
    font-family: monospace;
    font-size: 15px;
}
.reg-error, .reg-login-error, .reg-password-error{
    width: 184px;
    color: #bf5757;
    font-family: monospace;
    font-size: 15px;
}
#auth-block-overlay .buttons button:first-child,
#reg-block-overlay .buttons button:first-child {
    padding: 4px 6px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    cursor: pointer;
    margin-top: 5px;
    margin-bottom: 5px;
    background: none;
}
#auth-block-overlay .buttons button:first-child:hover,
#reg-block-overlay .buttons button:first-child:hover {
    background: #dbe5e96e;
}